Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.util
Class ServiceRegistryImpl

    java.lang.Object
      org.drools.util.ServiceRegistryImpl

All Implemented Interfaces:
  Service, ServiceRegistry

    public class ServiceRegistryImpl

extends Object
implements ServiceRegistry

This is an internal class, not for public consumption.

Field Summary
`protected static org.slf4j.Logger` | `logger`

Constructor Summary
`ServiceRegistryImpl()`

Method Summary
`void` | `addDefault(Class cls, String impl)`
`
`<T> T`
` | `get(Class<T> cls)`
`static ServiceRegistry` | `getInstance()`
`void` | `registerLocator(Class cls, Callable cal)`
`void` | `unregisterLocator(Class cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final transient org.slf4j.Logger logger

Constructor Detail

### ServiceRegistryImpl

    public ServiceRegistryImpl()

Method Detail

### getInstance

    public static ServiceRegistry getInstance()

### registerLocator

    public void registerLocator(Class cls,
                                Callable cal)

  Specified by:
    `registerLocator` in interface `ServiceRegistry`

### unregisterLocator

    public void unregisterLocator(Class cls)

  Specified by:
    `unregisterLocator` in interface `ServiceRegistry`

### get

    public <T> T get(Class<T> cls)

  Specified by:
    `get` in interface `ServiceRegistry`

### addDefault

    public void addDefault(Class cls,
                           String impl)

  Specified by:
    `addDefault` in interface `ServiceRegistry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.